//*****************************************************************************
//      Header file for:
//		Program control functions (including libsx callbacks)
//		    
//      Written by Stuart Prescott:
//              Written:                21/08/1996
//              Last Modified:          25/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      Other Object Classes used:
//              main program data structure
//
//*****************************************************************************

#ifndef CALLBACK_FUNCTIONS_H
#define CALLBACK_FUNCTIONS_H 	1

extern "C" {
    #include <libsx.h>
}
#include "main.h"
  
void Redisplay(Widget w, int new_width, int new_height, void *data);  
  
void Key_Quit_Func(Widget w, char *key, int up_or_down, void *data);  
  
void Button_quit(Widget w, void *data);  
void Button_SetMode(Widget w, void *data);  
void Button_ResetView(Widget w, void *data);
void Button_functype(Widget w, void *data);
void NewHelpWin(class MyProgram *me);

void ColourError();
void CleanExit(int i);

#endif
