//*****************************************************************************
//      Header file for:
//		extensions to libsx
//
//      Written by Stuart Prescott:
//              Written:                05/09/1996
//              Last Modified:          21/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//*****************************************************************************

#ifndef GRAPH_EXTENSIONS_H
#define GRAPH_EXTENSIONS_H 1

// a funciton to do the fancy sub and super scripting for the 
// orbital names . . .
void DrawTextH (Widget draw_area, int heading, char* lwf, int x, int y);  

// overload the libsx DrawLine to accept to XPoint's: make life easy . . .
inline void DrawLine(const XPoint& p, const XPoint& q)
{
    DrawLine(p.x, p.y, q.x, q.y);
}

#endif
